[Overview][Types][Classes][Index] | Reference for unit 'zstream' (#fcl)

# Tcompressionstream.destroy

Flushe data to the output stream and destroys the compression stream.

## Declaration

Source position: zstream.pp line 62

`public destructor Tcompressionstream.destroy; override;`

## Description

Destroy flushes the output stream: any compressed data not yet written to the output stream are written, and the deflate structures are cleaned up.

## Errors

None.

## See also

Create |  | Create a new instance of the compression stream.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.